%global srcname pytest-rerunfailures

Summary:        A py.test plugin that re-runs failed tests to eliminate flakey failures
Name:           python-%{srcname}
Version:        12.0
Release:        1%{?dist}
License:        MPL-2.0
URL:            https://github.com/pytest-dev/pytest-rerunfailures
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
pytest-rerunfailures is a plugin for py.test that re-runs tests to eliminate
intermittent failures.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        A py.test plugin that re-runs failed tests to eliminate flakey failures
BuildRequires:  python%{python3_pkgversion}-devel

%description -n python%{python3_pkgversion}-%{srcname}
pytest-rerunfailures is a plugin for py.test that re-runs tests to eliminate
intermittent failures.

%prep
%autosetup -n %{srcname}-%{version}

# this ini requires tox >= 4.0, which is not necessory
sed -i '/minversion/d' tox.ini

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_rerunfailures

%check
%tox

%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%doc CHANGES.rst README.rst

%changelog
* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 12.0-1
- update to 12.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Miaojun Dong <zoedong@tencent.com> - 10.3-1
- initial build
